#include <Ultrasonic.h>
#define Trig   7   //SR-04超音波Trig
#define Echo   13  //SR-04超音波Echo
#define Buzzer 3   //蜂鳴器
Ultrasonic ultrasonic(Trig,Echo);

void setup(){
  Serial.begin(9600);         //啟用串列埠
  pinMode(Trig,OUTPUT);       //超音波的Trig，作用為發出聲波。同時也是按鈕2，使用按鈕2時註解這行
  pinMode(Echo,INPUT);        //超音波的Echo，取得回音的時間。同時也是按鈕3
  pinMode(Buzzer, OUTPUT);
}

void loop(){
  float cmMsec;
  long microsec = ultrasonic.timing();
  cmMsec = ultrasonic.convert(microsec, Ultrasonic::CM);
  Serial.print(microsec);
  Serial.print(" MS, ");
  Serial.print(cmMsec);
  Serial.println(" CM");
  delay(500);
/*
  if (cmMsec <= 10)                   
  {                           // 低於10公分，蜂鳴器持續發出警告聲
    tone(Buzzer, 400);        
  }
  else if (cmMsec <= 50)             
  {                           // 10～50公分時，蜂鳴器會間隔0.1秒發出一短聲警示
      tone(Buzzer, 400, 100);   // 發出100ms的聲音
      delay(100);              // 延遲0.1秒
  }
  else
  {                           // 超過100公分時，蜂鳴器每秒發出一0.3秒的長聲警示
     tone(Buzzer, 400, 300);    // 發出300ms的聲音
     delay(1200);              // 延遲1.2秒
  }
*/
  
}
