//==== 接腳定義 ====
#define TX     2   //HC-06藍芽TX
#define Buzzer 3   //蜂鳴器
#define RX     4   //HC-06藍芽RX
#define MR2    5   //右馬達輸入2
#define MR1    6   //右馬達輸入1
#define Trig   7   //SR-04超音波Trig
#define B2     7   //按鈕2
#define B1     8   //按鈕1
#define servo  9   //伺服機訊號腳
#define ML1    10  //左馬達輸入1
#define ML2    11  //左馬達輸入2
#define RGB    12  //RGB LED
#define B3     13  //按鈕3
#define Echo   13  //SR-04超音波Echo
#define VR     A0  //可變電阻
#define CDS_R  A1  //光敏電阻(右)
#define IR_RR  A2  //TCRT5000紅外線尋跡(最右)
#define IR_R   A3  //TCRT5000紅外線尋跡(右)
#define IR_L   A4  //TCRT5000紅外線尋跡(左)
#define IR_LL  A5  //TCRT5000紅外線尋跡(最左)
#define CDS_L  A6  //光敏電阻(左)
#define VinDet A7  //電池電壓偵測
//==================
#define SpeedR 200   //馬達速度(0-255)
#define SpeedL 165   //馬達速度(0-255)


void setup() {
  // put your setup code here, to run once:
  pinMode(MR1,OUTPUT);
  pinMode(MR2,OUTPUT);
  pinMode(ML1,OUTPUT);
  pinMode(ML2,OUTPUT);
}

void loop() {
  // put your main code here, to run repeatedly:
  Forward();
  delay(3000);
 /*
  Right();
  delay(3000);
  Left();
  delay(3000);
  Backward();
  delay(3000);
  */
  Stop();
  delay(3000);
  
  //exit(0);
}

void Forward(){
  analogWrite(MR1,SpeedR);  //右輪往前
  digitalWrite(MR2,LOW);
  analogWrite(ML1,SpeedL);  //左輪往前
  digitalWrite(ML2,LOW);
}

void Backward(){
  digitalWrite(MR1,LOW);
  analogWrite(MR2,SpeedR);  //右輪往後
  digitalWrite(ML1,LOW);
  analogWrite(ML2,SpeedL);  //左輪往後
}

void Right(){
  digitalWrite(MR1,LOW);
  analogWrite(MR2,SpeedR);  //右輪往後 或  digitalWrite(MR2,LOW); 右輪不動
  analogWrite(ML1,SpeedL);  //左輪往前
  digitalWrite(ML2,LOW);    
}

void Left(){
  analogWrite(MR1,SpeedR);  //右輪往前
  digitalWrite(MR2,LOW);    
  digitalWrite(ML1,LOW);
  analogWrite(ML2,SpeedL);  //左輪往後
}

void Stop(){
  digitalWrite(MR1,LOW);    
  digitalWrite(MR2,LOW);    
  digitalWrite(ML1,LOW);    
  digitalWrite(ML2,LOW);    
}
